Subject: bug#19457: 24.4; exec_sentinel_error_handler and read_process_output_error_handler

From: Leo Liu <[email-masked]>
Date: Sun, 28 Dec 2014 22:54:03 +1100

On 2014-12-28 21:25 +1100, Leo Liu wrote:
> This can be problematic in a situation triggered by completion-at-point.
> in my setup I have 3 items in completion-styles and it can trigger 6
> sentinel/filter errors in a row for every char input. While the errors
> are signalled and even if I keep hitting C-g I have to wait many
> seconds.

There is also this issue:

See completion--some; all errors are deferred to the end of the
function. There is no way a completion table can tell completion--some
"I am not ready" don't call me again. For example, when a completion
table involves running an external command and that command is not
installed in the system. In this case the completion table knows better
i.e. no need to retry so as to save precious time.

Leo